Update webhook
patch
/v1/webhooks/{webhook_id}Update a webhook endpoint (URL, events, active status, or description).
Exemplo
curl -X PATCH "https://api.ya.onl/v1/webhooks/{webhook_id}" \
-H "X-API-Key: yv_live_v1_…" \
-H "Content-Type: application/json" \
-d '{}'Parâmetros
webhook_idstringpathWebhook endpoint identifier
Corpo da requisição
urlstring | nullNew webhook URL
eventsWebhookEventType[] | nullNew event types
is_activeboolean | nullEnable or disable
descriptionstring | nullNew description
Respostas
200Successful Response
401Invalid or missing API key
403API key lacks the required scope
404Webhook not found
422Validation Error
429Rate limit exceeded
503Webhooks are not configured for this environment
